package com.memorynotfound.hibernate;

import org.hibernate.Session;
import org.hibernate.Transaction;

public class App {

    public static void main (String...args){

        Session session = HibernateUtil.getSession();
        Transaction tx = session.beginTransaction();

        Book book = new Book();
        book.setAuthor("Memorynotfound");
        book.setTitle("MySQL / MariaDB Hibernate XML Configuration Example");
        book.setIsbn("9282537892");
        book.setPrice(24.95);
        book.setYear(2016);

        session.save(book);
        tx.commit();

        session.close();
        HibernateUtil.shutdown();
    }
}
